summaryrefslogtreecommitdiff
path: root/resources/scripts/update/blobs/inject
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/update/blobs/inject')
-rwxr-xr-xresources/scripts/update/blobs/inject22
1 files changed, 22 insertions, 0 deletions
diff --git a/resources/scripts/update/blobs/inject b/resources/scripts/update/blobs/inject
index bc8a9a4d..97cb35a6 100755
--- a/resources/scripts/update/blobs/inject
+++ b/resources/scripts/update/blobs/inject
@@ -34,6 +34,8 @@ CONFIG_KBC1126_FW2_OFFSET=""
CONFIG_VGA_BIOS_FILE=""
CONFIG_VGA_BIOS_ID=""
CONFIG_GBE_BIN_PATH=""
+CONFIG_INCLUDE_SMSC_SCH5545_EC_FW=""
+CONFIG_SMSC_SCH5545_EC_FW_FILE=""
main()
{
@@ -217,6 +219,11 @@ patch_rom()
inject_blob_dell_e6400_vgarom_nvidia
fi
+ if [ "${CONFIG_INCLUDE_SMSC_SCH5545_EC_FW}" = "y" ] \
+ && [ "${CONFIG_SMSC_SCH5545_EC_FW_FILE}" != "" ]; then
+ inject_blob_smsc_sch5545_ec "${rom}"
+ fi
+
if [ "${modifygbe}" = "true" ] && ! [ "${release}" = "true" ]; then
modify_gbe ${rom}
fi
@@ -325,6 +332,21 @@ inject_blob_dell_e6400_vgarom_nvidia()
-t optionrom || exit 1
}
+inject_blob_smsc_sch5545_ec()
+{
+ rom="${1}"
+
+ _sch5545ec_location="${CONFIG_SMSC_SCH5545_EC_FW_FILE#../../}"
+
+ if [ ! -f "${_sch5545ec_location}" ]; then
+ printf "SCH5545 firmware file missing\n" 1>&2
+ exit 1
+ fi
+
+ "${cbfstool}" "${rom}" add -f "${_sch5545ec_location}" \
+ -n sch5545_ecfw.bin -t raw || exit 1
+}
+
modify_gbe()
{
printf "changing mac address in gbe to ${new_mac}\n"